<div ng-controller="ContenedorSemanaController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Estadistica</a>
          </li>
          <li>
            <a>Contenedores por Semana</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-file-excel-o"></i> CONTENEDORES ENVIADOS SEMANAL</h1>
              <ul class="controls">
                <li>
                    <a href tile-control-fullscreen ng-click="isFullscreen08 = !isFullscreen08">
                        <fa name="expand"></fa>
                    </a>
                </li>
              </ul>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                  <div class="col-md-12">
                    <div class="row">
                      <div class="col-md-4">
                        <div class="form-group">
                          <label for="id_anio">AÑO: </label> 
                          <select class="form-control" ng-model="obj.id_anio" ng-change="listSemana(obj.id_anio)" ng-options="anio.id as anio.anio for anio in anios">
                            <option value="">SELECCIONE AÑO</option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <div class="form-group">
                          <label for="id_semana_start">SEMANA INICIO </label> 
                          <select class="form-control" ng-model="obj.id_semana_start" ng-disabled="!obj.id_anio" ng-options="semana.id as semana.nombre for semana in semanas">
                            <option value="">SELECCIONE SEMANA</option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <div class="form-group">
                          <label for="id_semana_last">SEMANA FIN: </label> 
                            <select class="form-control" ng-model="obj.id_semana_last" ng-disabled="!obj.id_anio" ng-options="semana.id as semana.nombre for semana in semanas">
                              <option value="">SELECCIONE SEMANA</option>
                            </select>
                        </div>                        
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-4"></div>
                      <div class="col-md-4">
                        <button ng-disabled="!obj.id_semana_last" class="btn btn-border btn-rounded-10 btn-warning btn-block" ng-click="getChart()"><i class="fa fa-eye"></i> vista previa</button>                      
                      </div>
                      <div class="col-md-4">
                        <div class="mt-20">
                          <strong>PROMEDIO SEMANAL: {{promedio_semanal}} CONTENEDORES</strong>
                        </div>                        
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12" ng-show="isLoading">
                    <loading></loading>
                  </div>
                  <div class="col-md-12" ng-show="!isLoading">
                    <div id="chartdiv" style="width: 100%; height: 500px;"></div>
                  </div>
              </div>
            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
</div>